Subject: /usr/include/limits.h and stdio.h, beta-17
From: [email-masked] (Jeff Deifik)

8 Dec 1996 07:34:26 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Pro Version 3.0 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

I have a simple makefile, that says (in part)

compare.o: compare.c /usr/include/limits.h

which I believe means that compare.o depends on compare.c and limits.h

When I run the makefile, I get the following:
make: *** No rule to make target `/usr/include/limits.h', needed by
`compare.o'.
  Stop.

This makefile worked under beta-16, although I do not believe that I had
/usr mounted then.
I tried it with beta-17, both with and without /usr mounted, with the above
result.

I have done a 'mount d:/j/gnu/beta-17 /usr', where beta-17 is the directory
where I have put all the gnu-win32 beta-17 code.

I have set gcc_exec_prefix as specified in the latest readme.txt:
	gcc_exec_prefix=d:\j\gnu\beta-17\H-i386-cygwin32\lib\gcc-lib\
I have a bin directory with sh.exe in it, and I have a tmp directory.

When I look in /usr/include, I see:
WEASEL_IN_A_BOX:/usr/include:2: ls -als
total 71
   0 drwxr-xr-x  11 500      everyone        0 Dec 31  1969 ./
   0 drwxr-xr-x  13 500      everyone        0 Dec 31  1969 ../
   3 -rw-r--r--   1 500      everyone     5671 Dec 31  1969 FlexLexer.h
   3 -rw-r--r--   1 500      everyone     4716 Dec 31  1969 ansidecl.h
  45 -rw-r--r--   1 500      everyone    90625 Dec 31  1969 bfd.h
  10 -rw-r--r--   1 500      everyone    18948 Dec 31  1969 bfdlink.h
   0 drwxr-xr-x 140 500      everyone        0 Dec 31  1969 g++/
  10 -rw-r--r--   1 500      everyone    19754 Dec 31  1969 obstack.h
   0 drwxr-xr-x   7 500      everyone        0 Dec 31  1969 readline/

specifically, I do not see limits.h, nor stdio.h

When I look for stdio.h, I find it in:
D:\j\gnu\beta-17\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32\cygnus-2.7.2-9610
23\include

Why can't gcc/make file /usr/include/limits.h ?
What can I do to fix the problem?

	Jeff turbo Deifik		[email-masked]		[email-masked]
					www.weasel.com

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".